## r-bioc-genomicfiles 1.26.0

=== DESCRIPTION ===
Package: GenomicFiles
Title: Distributed computing by file or by range
Description: This package provides infrastructure for parallel 
	computations distributed 'by file' or 'by range'. User 
	defined MAPPER and REDUCER functions provide added 
	flexibility for data combination and manipulation.
Version: 1.26.0
Authors@R: c(person("Bioconductor Package Maintainer", role = c("aut", "cre"),
		     email = "maintainer@bioconductor.org"),
	      person("Valerie", "Obenchain", role = "aut"),
	      person("Michael", "Love", role = "aut"),
	      person("Lori", "Shepherd", role = "aut"),
	      person("Martin", "Morgan", role = "aut"))
biocViews: Genetics, Infrastructure, DataImport, Sequencing, Coverage
Depends: R (>= 3.1.0), methods, BiocGenerics (>= 0.11.2),
        MatrixGenerics, GenomicRanges (>= 1.31.16),
        SummarizedExperiment, BiocParallel (>= 1.1.0), Rsamtools (>=
        1.17.29), rtracklayer (>= 1.25.3)
Imports: GenomicAlignments (>= 1.7.7), IRanges, S4Vectors (>= 0.9.25),
        VariantAnnotation (>= 1.27.9), GenomeInfoDb
Suggests: BiocStyle, RUnit, genefilter, deepSNV, snpStats,
        RNAseqData.HNRNPC.bam.chr14, Biostrings, Homo.sapiens
License: Artistic-2.0
Collate: GenomicFiles-class.R VcfStack-class.R reduceByFile-methods.R
        reduceByRange-methods.R reduceFiles.R reduceRanges.R
        reduceByYield.R pack-methods.R unpack-methods.R registry.R
        zzz.R
Video: https://www.youtube.com/watch?v=3PK_jx44QTs
RoxygenNote: 6.1.0
git_url: https://git.bioconductor.org/packages/GenomicFiles
git_branch: RELEASE_3_12
git_last_commit: 8c9e00d
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: no
Packaged: 2020-10-28 00:24:53 UTC; biocbuild
Author: Bioconductor Package Maintainer [aut, cre],
  Valerie Obenchain [aut],
  Michael Love [aut],
  Lori Shepherd [aut],
  Martin Morgan [aut]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-genomicfiles (1.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 18 Nov 2020 10:57:11 +0100

r-bioc-genomicfiles (1.24.0-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 14:10:07 +0200

r-bioc-genomicfiles (1.24.0-1) unstable; urgency=medium

  * Initial release (closes: #969061)

 -- Steffen Moeller <moeller@debian.org>  Wed, 26 Aug 2020 23:48:15 +0200

=== debian/control ===
Source: r-bioc-genomicfiles
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.11.2),
               r-bioc-matrixgenerics,
               r-bioc-genomicranges (>= 1.31.16),
               r-bioc-summarizedexperiment,
               r-bioc-biocparallel (>= 1.1.0),
               r-bioc-rsamtools (>= 1.17.29),
               r-bioc-rtracklayer (>= 1.25.3),
               r-bioc-genomicalignments (>= 1.7.7),
               r-bioc-iranges,
               r-bioc-s4vectors,
               r-bioc-variantannotation (>= 1.27.9),
               r-bioc-genomeinfodb
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfiles
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfiles.git
Homepage: https://bioconductor.org/packages/GenomicFiles/
Rules-Requires-Root: no

Package: r-bioc-genomicfiles
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Distributed computing by file or by range
 This package provides infrastructure for parallel
 computations distributed 'by file' or 'by range'. User
 defined MAPPER and REDUCER functions provide added
 flexibility for data combination and manipulation.

## r-bioc-genomicfiles 1.30.0

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	computations distributed 'by file' or 'by range'. User 
 	defined MAPPER and REDUCER functions provide added 
 	flexibility for data combination and manipulation.
-Version: 1.26.0
+Version: 1.30.0
 Authors@R: c(person("Bioconductor Package Maintainer", role = c("aut", "cre"),
 		     email = "maintainer@bioconductor.org"),
 	      person("Valerie", "Obenchain", role = "aut"),
@@ -28,12 +28,12 @@
 Video: https://www.youtube.com/watch?v=3PK_jx44QTs
 RoxygenNote: 6.1.0
 git_url: https://git.bioconductor.org/packages/GenomicFiles
-git_branch: RELEASE_3_12
-git_last_commit: 8c9e00d
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 6cde8a0
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-10-28 00:24:53 UTC; biocbuild
+Packaged: 2021-10-26 21:31:25 UTC; biocbuild
 Author: Bioconductor Package Maintainer [aut, cre],
   Valerie Obenchain [aut],
   Michael Love [aut],

=== debian/changelog ===
r-bioc-genomicfiles (1.30.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 13:54:51 +0100

r-bioc-genomicfiles (1.28.0-2) unstable; urgency=medium

  * Team upload.
  * Provide autopkgtest-pkg-r.conf to make sure RUnit will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Tue, 14 Sep 2021 12:43:03 +0200

r-bioc-genomicfiles (1.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 14 Sep 2021 10:30:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.11.2),
+               r-bioc-biocgenerics,
                r-bioc-matrixgenerics,
-               r-bioc-genomicranges (>= 1.31.16),
+               r-bioc-genomicranges,
                r-bioc-summarizedexperiment,
-               r-bioc-biocparallel (>= 1.1.0),
-               r-bioc-rsamtools (>= 1.17.29),
-               r-bioc-rtracklayer (>= 1.25.3),
-               r-bioc-genomicalignments (>= 1.7.7),
+               r-bioc-biocparallel,
+               r-bioc-rsamtools,
+               r-bioc-rtracklayer,
+               r-bioc-genomicalignments,
                r-bioc-iranges,
                r-bioc-s4vectors,
-               r-bioc-variantannotation (>= 1.27.9),
+               r-bioc-variantannotation,
                r-bioc-genomeinfodb
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfiles
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfiles.git
 Homepage: https://bioconductor.org/packages/GenomicFiles/

## r-bioc-genomicfiles 1.32.1

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	computations distributed 'by file' or 'by range'. User 
 	defined MAPPER and REDUCER functions provide added 
 	flexibility for data combination and manipulation.
-Version: 1.30.0
+Version: 1.32.1
 Authors@R: c(person("Bioconductor Package Maintainer", role = c("aut", "cre"),
 		     email = "maintainer@bioconductor.org"),
 	      person("Valerie", "Obenchain", role = "aut"),
@@ -28,12 +28,12 @@
 Video: https://www.youtube.com/watch?v=3PK_jx44QTs
 RoxygenNote: 6.1.0
 git_url: https://git.bioconductor.org/packages/GenomicFiles
-git_branch: RELEASE_3_14
-git_last_commit: 6cde8a0
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: abe840c
+git_last_commit_date: 2022-05-06
+Date/Publication: 2022-05-15
 NeedsCompilation: no
-Packaged: 2021-10-26 21:31:25 UTC; biocbuild
+Packaged: 2022-05-15 20:34:48 UTC; biocbuild
 Author: Bioconductor Package Maintainer [aut, cre],
   Valerie Obenchain [aut],
   Michael Love [aut],

=== debian/changelog ===
r-bioc-genomicfiles (1.32.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 07:41:05 +0200

## r-bioc-genomicfiles 1.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	computations distributed 'by file' or 'by range'. User 
 	defined MAPPER and REDUCER functions provide added 
 	flexibility for data combination and manipulation.
-Version: 1.32.1
+Version: 1.34.0
 Authors@R: c(person("Bioconductor Package Maintainer", role = c("aut", "cre"),
 		     email = "maintainer@bioconductor.org"),
 	      person("Valerie", "Obenchain", role = "aut"),
@@ -28,12 +28,12 @@
 Video: https://www.youtube.com/watch?v=3PK_jx44QTs
 RoxygenNote: 6.1.0
 git_url: https://git.bioconductor.org/packages/GenomicFiles
-git_branch: RELEASE_3_15
-git_last_commit: abe840c
-git_last_commit_date: 2022-05-06
-Date/Publication: 2022-05-15
+git_branch: RELEASE_3_16
+git_last_commit: 65f9a64
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-05-15 20:34:48 UTC; biocbuild
+Packaged: 2022-11-01 21:37:44 UTC; biocbuild
 Author: Bioconductor Package Maintainer [aut, cre],
   Valerie Obenchain [aut],
   Michael Love [aut],

=== debian/changelog ===
r-bioc-genomicfiles (1.34.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Nov 2022 07:24:39 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                r-bioc-s4vectors,
                r-bioc-variantannotation,
                r-bioc-genomeinfodb
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfiles
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfiles.git
 Homepage: https://bioconductor.org/packages/GenomicFiles/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/GenomicFiles.html .*/GenomicFiles_(.*).tar.gz

## r-bioc-genomicfiles 1.36.0+dfsg

=== DESCRIPTION ===
Package: GenomicFiles
Title: Distributed computing by file or by range
Description: This package provides infrastructure for parallel 
	computations distributed 'by file' or 'by range'. User 
	defined MAPPER and REDUCER functions provide added 
	flexibility for data combination and manipulation.
Version: 1.36.0
Authors@R: c(person("Bioconductor Package Maintainer", role = c("aut", "cre"),
		     email = "maintainer@bioconductor.org"),
	      person("Valerie", "Obenchain", role = "aut"),
	      person("Michael", "Love", role = "aut"),
	      person("Lori", "Shepherd", role = "aut"),
	      person("Martin", "Morgan", role = "aut"),
              person("Sonali", "Kumari", role = "ctb",
                     comment = "Converted 'GenomicFiles' vignettes from Sweave to RMarkdown / HTML."))
biocViews: Genetics, Infrastructure, DataImport, Sequencing, Coverage
Depends: R (>= 3.1.0), methods, BiocGenerics (>= 0.11.2),
        MatrixGenerics, GenomicRanges (>= 1.31.16),
        SummarizedExperiment, BiocParallel (>= 1.1.0), Rsamtools (>=
        1.17.29), rtracklayer (>= 1.25.3)
Imports: GenomicAlignments (>= 1.7.7), IRanges, S4Vectors (>= 0.9.25),
        VariantAnnotation (>= 1.27.9), GenomeInfoDb
Suggests: BiocStyle, RUnit, genefilter, deepSNV, snpStats, knitr,
        RNAseqData.HNRNPC.bam.chr14, Biostrings, Homo.sapiens
License: Artistic-2.0
Collate: GenomicFiles-class.R VcfStack-class.R reduceByFile-methods.R
        reduceByRange-methods.R reduceFiles.R reduceRanges.R
        reduceByYield.R pack-methods.R unpack-methods.R registry.R
        zzz.R
Video: https://www.youtube.com/watch?v=3PK_jx44QTs
RoxygenNote: 6.1.0
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/GenomicFiles
git_branch: RELEASE_3_17
git_last_commit: 8697b9a
git_last_commit_date: 2023-04-25
Date/Publication: 2023-04-25
NeedsCompilation: no
Packaged: 2023-04-25 21:12:31 UTC; biocbuild
Author: Bioconductor Package Maintainer [aut, cre],
  Valerie Obenchain [aut],
  Michael Love [aut],
  Lori Shepherd [aut],
  Martin Morgan [aut],
  Sonali Kumari [ctb] (Converted 'GenomicFiles' vignettes from Sweave to
    RMarkdown / HTML.)
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-genomicfiles (1.36.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 21:46:52 +0200

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
https://bioconductor.org/packages/release/bioc/html/GenomicFiles.html .*/GenomicFiles_(.*).tar.gz

## r-bioc-genomicfiles 1.38.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	computations distributed 'by file' or 'by range'. User 
 	defined MAPPER and REDUCER functions provide added 
 	flexibility for data combination and manipulation.
-Version: 1.36.0
+Version: 1.38.0
 Authors@R: c(person("Bioconductor Package Maintainer", role = c("aut", "cre"),
 		     email = "maintainer@bioconductor.org"),
 	      person("Valerie", "Obenchain", role = "aut"),
@@ -31,12 +31,12 @@
 RoxygenNote: 6.1.0
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/GenomicFiles
-git_branch: RELEASE_3_17
-git_last_commit: 8697b9a
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: ddc9a88
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 21:12:31 UTC; biocbuild
+Packaged: 2023-10-24 21:20:43 UTC; biocbuild
 Author: Bioconductor Package Maintainer [aut, cre],
   Valerie Obenchain [aut],
   Michael Love [aut],

## r-bioc-genomicfiles 1.38.0+dfsg

=== debian/changelog ===
r-bioc-genomicfiles (1.38.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 11:31:21 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                r-bioc-s4vectors,
                r-bioc-variantannotation,
                r-bioc-genomeinfodb
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfiles
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfiles.git
 Homepage: https://bioconductor.org/packages/GenomicFiles/

## r-bioc-genomicfiles 1.40.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	computations distributed 'by file' or 'by range'. User 
 	defined MAPPER and REDUCER functions provide added 
 	flexibility for data combination and manipulation.
-Version: 1.38.0
+Version: 1.40.0
 Authors@R: c(person("Bioconductor Package Maintainer", role = c("aut", "cre"),
 		     email = "maintainer@bioconductor.org"),
 	      person("Valerie", "Obenchain", role = "aut"),
@@ -31,12 +31,13 @@
 RoxygenNote: 6.1.0
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/GenomicFiles
-git_branch: RELEASE_3_18
-git_last_commit: ddc9a88
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 9799abf
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 21:20:43 UTC; biocbuild
+Packaged: 2024-05-01 03:54:44 UTC; biocbuild
 Author: Bioconductor Package Maintainer [aut, cre],
   Valerie Obenchain [aut],
   Michael Love [aut],

=== debian/changelog ===
r-bioc-genomicfiles (1.40.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:36:11 +0200

r-bioc-genomicfiles (1.40.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 07 Aug 2024 16:29:33 +0200

r-bioc-genomicfiles (1.40.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 16:59:34 +0200

=== debian/control ===
Source: r-bioc-genomicfiles
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-matrixgenerics (>= 1.16.0),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-summarizedexperiment (>= 1.34.0),
               r-bioc-biocparallel (>= 1.38.0),
               r-bioc-rsamtools (>= 2.20.0),
               r-bioc-rtracklayer (>= 1.64.0),
               r-bioc-genomicalignments (>= 1.40.0),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-variantannotation (>= 1.50.0),
               r-bioc-genomeinfodb (>= 1.40.1)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfiles
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfiles.git
Homepage: https://bioconductor.org/packages/GenomicFiles/
Rules-Requires-Root: no

Package: r-bioc-genomicfiles
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-matrixgenerics (>= 1.16.0),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-summarizedexperiment (>= 1.34.0),
         r-bioc-biocparallel (>= 1.38.0),
         r-bioc-rsamtools (>= 2.20.0),
         r-bioc-rtracklayer (>= 1.64.0),
         r-bioc-genomicalignments (>= 1.40.0),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-variantannotation (>= 1.50.0),
         r-bioc-genomeinfodb (>= 1.40.1)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>= 2.32.1),
          r-bioc-genefilter (>= 1.86.0),
          r-bioc-snpstats (>= 1.54.0),
          r-bioc-biostrings (>= 2.72.1)
Description: Distributed computing by file or by range
 This package provides infrastructure for parallel
 computations distributed 'by file' or 'by range'. User
 defined MAPPER and REDUCER functions provide added
 flexibility for data combination and manipulation.

## r-bioc-genomicfiles 1.42.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	computations distributed 'by file' or 'by range'. User 
 	defined MAPPER and REDUCER functions provide added 
 	flexibility for data combination and manipulation.
-Version: 1.40.0
+Version: 1.42.0
 Authors@R: c(person("Bioconductor Package Maintainer", role = c("aut", "cre"),
 		     email = "maintainer@bioconductor.org"),
 	      person("Valerie", "Obenchain", role = "aut"),
@@ -31,13 +31,13 @@
 RoxygenNote: 6.1.0
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/GenomicFiles
-git_branch: RELEASE_3_19
-git_last_commit: 9799abf
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 21deb72
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 03:54:44 UTC; biocbuild
+Packaged: 2024-10-30 00:51:16 UTC; biocbuild
 Author: Bioconductor Package Maintainer [aut, cre],
   Valerie Obenchain [aut],
   Michael Love [aut],

=== debian/changelog ===
r-bioc-genomicfiles (1.42.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 08:44:54 +0100

r-bioc-genomicfiles (1.42.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Nov 2024 23:07:29 +0100

=== debian/control ===
Source: r-bioc-genomicfiles
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-matrixgenerics,
               r-bioc-genomicranges,
               r-bioc-summarizedexperiment,
               r-bioc-biocparallel,
               r-bioc-rsamtools,
               r-bioc-rtracklayer,
               r-bioc-genomicalignments,
               r-bioc-iranges,
               r-bioc-s4vectors,
               r-bioc-variantannotation,
               r-bioc-genomeinfodb
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfiles
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicfiles.git
Homepage: https://bioconductor.org/packages/GenomicFiles/
Rules-Requires-Root: no

Package: r-bioc-genomicfiles
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Distributed computing by file or by range
 This package provides infrastructure for parallel
 computations distributed 'by file' or 'by range'. User
 defined MAPPER and REDUCER functions provide added
 flexibility for data combination and manipulation.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
https://bioconductor.org/packages/release/bioc/html/GenomicFiles.html .*/GenomicFiles_(.*).tar.gz
